Skip to content

Create a new Project

Creates a new project

View as Markdown

POST /v1/project

Needs an API key with the write scope.

Parameters

  • name string Required

    Name of the project

More parameters

  • startDate string

    Starting date of the project. Should be in YYYY-MM-DD format

  • endDate string

    Ending date of the project. Should be in YYYY-MM-DD format

  • projectCode string

    Name of the project

  • budget number

    Total budget of the project.

Returns

The created project.

401
No usable Authorization: Bearer {token} header (1002).
403
The access token is unknown, or lacks the scope this route needs (1001).